When trying to build the latest release on stretch,

    [206 of 597] Compiling Messages.Concurrent ( Messages/Concurrent.hs, dist/build/git-annex/git-annex-tmp/Messages/Concurrent.o )
    
    Messages/Concurrent.hs:138:20: error:
        * Couldn't match type `MessageState' with `Annex a -> Annex a'
          Expected type: MessageState -> Annex a -> Annex a
            Actual type: (Annex a -> Annex a) -> Annex a -> Annex a
        * In the expression: id
          In an equation for `hideRegionsWhile': hideRegionsWhile = id
        * Relevant bindings include
            hideRegionsWhile :: MessageState -> Annex a -> Annex a
              (bound at Messages/Concurrent.hs:138:1)
    Makefile:32: recipe for target 'git-annex' failed

It would be nice if this could be patched so that git-annex can continue to be shipped in the stretch-backports repository.

--spwhitton

> [[fixed|done]] --[[Joey]]
